local createCompositionBabochka_moving_to_flower = nil
local createCompositionBig_wheel_move_cycle = nil
local createCompositionbutterfly_compos = nil
local createCompositionFrog_in_jump = nil
local createCompositionFrog_in_water_cycle = nil
local createCompositionfrog_jump_2 = nil
local createCompositionnew_frog_move = nil
local createCompositionRight_tube_water_cycle_correct = nil
local createCompositionright_tube_water_enter_correct = nil
local createCompositionSmall_wheel_move = nil
local createCompositionvavle_compos = nil
local createCompositionLeft_tube_kucha_peska_washed = nil
local createCompositionLeft_tube_kucha_peska_washed_cycle = nil
local createCompositionLeft_tube_kucha_peska_washed_cycle_end = nil
local createCompositionLert_tube_kucha_peska_washed_enter = nil
local createCompositionRight_tube_water_cycle = nil
local createCompositionright_tube_water_enter = nil
local createCompositionwater_move = nil
local createCompositionWater_move_cycle_textures = nil
local createCompositionWater_on_cube = nil
local createCompositionvavle_2_compos = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/06_garden/hp/anim/"
---------------------------------------------------------------------------------------
function Loader_06_HP_BG_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
                CreateCompositionLoader(createCompositionvavle_2_compos,		            'vavle_2_compos',		            0,0, 12, 512,384, false),
                CreateCompositionLoader(createCompositionFrog_in_water_cycle,		        'frog_idle_2',		                0,0, 14, 512,384, true),
    			CreateCompositionLoader(createCompositionfrog_jump_2,		                'frog_jump_2',		                0,0, 14, 512,384, false),
                CreateCompositionLoader(createCompositionvavle_compos,		                'vavle_compos',		                0,0, 12, 512,384, false),
                CreateCompositionLoader(createCompositionbutterfly_compos,		            'butterfly',		                0,0, 41, 512,384, false),
                CreateCompositionLoader(createCompositionRight_tube_water_cycle_correct,	'right_tube_water_cycle_correct',   0,0, 4,  512,384, true),
                CreateCompositionLoader(createCompositionright_tube_water_enter_correct,	'right_tube_water_enter_correct',   0,0, 4,  512,384, false),
                CreateCompositionLoader(createCompositionBig_wheel_move_cycle,		        'big_wheel_move_cycle',		        0,0, 3,  512,384, true),
                CreateCompositionLoader(createCompositionwater_move,		                'water_move',		                0,0, 2,  512,384, true),
    			CreateCompositionLoader(createCompositionWater_on_cube,		                'water_on_cube',		            0,0, 7,  512,384, true),
    			CreateCompositionLoader(createCompositionSmall_wheel_move,		            'small_wheel_move',		            0,0, 11, 512,384, true),
		},
		{
			function (element, textureName)
				if textureName == "Babochka_moving_to_flower_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,62,45)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "kuchka_washed_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,256,111)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
				if textureName == "water_from_tube_cycle_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,29,105)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
				if textureName == "water_from_tube_end_cycle_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,22,110)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
				if textureName == "water_tube_enter_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,20,105)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionBabochka_moving_to_flower = function()
	local compositionBabochka_moving_to_flower = CreateCompositionSequence()
	local compositionDuration = 1
	compositionBabochka_moving_to_flower:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Babochka_moving_to_flower_[].png")
	element:SetName("Layer_1")
	compositionBabochka_moving_to_flower:AddElement(element)
	element:SetHotSpot(31, 22.5)
	element:SetParentElement(compositionBabochka_moving_to_flower)
	element:SetXY(903.875, 414.375)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionBabochka_moving_to_flower:Play()
 
	return compositionBabochka_moving_to_flower
end
 
createCompositionBig_wheel_move_cycle = function()
	local compositionBig_wheel_move_cycle = CreateCompositionSequence()
	local compositionDuration = 0.625
	compositionBig_wheel_move_cycle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."wheel_01.png")
	element:SetName("Layer_1")
	compositionBig_wheel_move_cycle:AddElement(element)
	element:SetHotSpot(182, 218)
	element:SetParentElement(compositionBig_wheel_move_cycle)
	element:SetXY(590.5, 334)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."wheel_02.png")
	element:SetName("Layer_2")
	compositionBig_wheel_move_cycle:AddElement(element)
	element:SetHotSpot(183, 221)
	element:SetParentElement(compositionBig_wheel_move_cycle)
	element:SetXY(591, 338)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 1)
	effector:SetKey(_TRACK_O, 0.375, 1)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."wheel_03.png")
	element:SetName("Layer_3")
	compositionBig_wheel_move_cycle:AddElement(element)
	element:SetHotSpot(181, 224)
	element:SetParentElement(compositionBig_wheel_move_cycle)
	element:SetXY(595, 335)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 1)
	effector:SetKey(_TRACK_O, 0.58333333333333, 1)
	effector:Play()
 
	compositionBig_wheel_move_cycle:Play()
 
	return compositionBig_wheel_move_cycle
end
 
createCompositionbutterfly_compos = function()
	local compositionbutterfly_compos = CreateCompositionSequence()
	local compositionDuration = 1
	compositionbutterfly_compos:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_1")
	compositionbutterfly_compos:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionbutterfly_compos)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_X, 0, 1071)
	effector:SetKey(_TRACK_Y, 0, 410)
	effector:SetKey(_TRACK_X, 0.19466145833333, 1017.28832510476)
	effector:SetKey(_TRACK_Y, 0.19466145833333, 412.878060193494)
	effector:SetKey(_TRACK_X, 0.38932291666667, 963.20738564407)
	effector:SetKey(_TRACK_Y, 0.38932291666667, 442.382488344955)
	effector:SetKey(_TRACK_X, 0.58333333333333, 893.727482038606)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 448.506334351085)
	effector:SetKey(_TRACK_X, 0.95833333333333, 831.5)
	effector:SetKey(_TRACK_Y, 0.95833333333333, 468)
	effector:Play()
 
	compositionbutterfly_compos:Play()
 
	return compositionbutterfly_compos
end
 
createCompositionFrog_in_jump = function()
	local compositionFrog_in_jump = CreateCompositionSequence()
	local compositionDuration = 1.25
	compositionFrog_in_jump:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_water.png")
	element:SetName("Layer_1")
	compositionFrog_in_jump:AddElement(element)
	element:SetHotSpot(41, 27.5)
	element:SetParentElement(compositionFrog_in_jump)
	element:SetXY(945.875, 486.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_list.png")
	element:SetName("Layer_2")
	compositionFrog_in_jump:AddElement(element)
	element:SetHotSpot(11.5, 20)
	element:SetParentElement(compositionFrog_in_jump)
	element:SetXY(945.5, 506.125)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."DT4_Frog_MMG_06_Frogs_frog_2.png")
	element:SetName("Layer_3")
	compositionFrog_in_jump:AddElement(element)
	element:SetHotSpot(46, 33)
	element:SetParentElement(compositionFrog_in_jump)
	element:SetScaleX(0.625)
	element:SetScaleY(0.625)
	element:SetAngle(-0.0054743978604)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.25)
	effector:SetKey(_TRACK_X, -2, 945)
	effector:SetKey(_TRACK_Y, -2, 474)
	effector:SetKey(_TRACK_X, -1.02083333333333, 945)
	effector:SetKey(_TRACK_Y, -1.02083333333333, 482)
	effector:SetKey(_TRACK_X, -0.04166666666667, 945)
	effector:SetKey(_TRACK_Y, -0.04166666666667, 474)
	effector:SetKey(_TRACK_X, 1, 945)
	effector:SetKey(_TRACK_Y, 1, 486.75)
	effector:SetKey(_TRACK_O, -2, 1)
	effector:SetKey(_TRACK_O, -1.02083333333333, 0.38)
	effector:SetKey(_TRACK_O, -0.04166666666667, 1)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:Play()
 
	compositionFrog_in_jump:Play()
 
	return compositionFrog_in_jump
end
 
createCompositionFrog_in_water_cycle = function()
	local compositionFrog_in_water_cycle = CreateCompositionSequence()
	local compositionDuration = 2
	compositionFrog_in_water_cycle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_water.png")
	element:SetName("Layer_1")
	compositionFrog_in_water_cycle:AddElement(element)
	element:SetHotSpot(41, 27.5)
	element:SetParentElement(compositionFrog_in_water_cycle)
	element:SetXY(945.875, 486.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_list.png")
	element:SetName("Layer_2")
	compositionFrog_in_water_cycle:AddElement(element)
	element:SetHotSpot(11.5, 20)
	element:SetParentElement(compositionFrog_in_water_cycle)
	element:SetXY(945.5, 506.125)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."DT4_Frog_MMG_06_Frogs_frog_2.png")
	element:SetName("Layer_3")
	compositionFrog_in_water_cycle:AddElement(element)
	element:SetHotSpot(46, 33)
	element:SetParentElement(compositionFrog_in_water_cycle)
	element:SetScaleX(0.625)
	element:SetScaleY(0.625)
	element:SetAngle(-0.0054743978604)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, -2, 945)
	effector:SetKey(_TRACK_Y, -2, 474)
	effector:SetKey(_TRACK_X, -1.02083333333333, 945)
	effector:SetKey(_TRACK_Y, -1.02083333333333, 482)
	effector:SetKey(_TRACK_X, -0.04166666666667, 945)
	effector:SetKey(_TRACK_Y, -0.04166666666667, 474)
	effector:SetKey(_TRACK_X, 1, 945)
	effector:SetKey(_TRACK_Y, 1, 482)
	effector:SetKey(_TRACK_X, 1.95833333333333, 945)
	effector:SetKey(_TRACK_Y, 1.95833333333333, 474)
	effector:SetKey(_TRACK_O, -2, 1)
	effector:SetKey(_TRACK_O, -1.02083333333333, 0.38)
	effector:SetKey(_TRACK_O, -0.04166666666667, 1)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 1, 0.7)
	effector:SetKey(_TRACK_O, 1.95833333333333, 1)
	effector:Play()
 
	compositionFrog_in_water_cycle:Play()
 
	return compositionFrog_in_water_cycle
end
 
createCompositionfrog_jump_2 = function()
	local compositionfrog_jump_2 = CreateCompositionSequence()
	local compositionDuration = 2.45833333333333
	compositionfrog_jump_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionnew_frog_move()
	element:SetName("Layer_1")
	compositionfrog_jump_2:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionfrog_jump_2)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.25, 2.45833333333333)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionFrog_in_jump()
	element:SetName("Layer_2")
	compositionfrog_jump_2:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionfrog_jump_2)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.25)
	effector:Play()
 
	compositionfrog_jump_2:Play()
 
	return compositionfrog_jump_2
end
 
createCompositionnew_frog_move = function()
	local compositionnew_frog_move = CreateCompositionSequence()
	local compositionDuration = 1.20833333333333
	compositionnew_frog_move:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_water.png")
	element:SetName("Layer_1")
	compositionnew_frog_move:AddElement(element)
	element:SetHotSpot(41, 27.5)
	element:SetParentElement(compositionnew_frog_move)
	element:SetXY(945.875, 486.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_list.png")
	element:SetName("Layer_2")
	compositionnew_frog_move:AddElement(element)
	element:SetHotSpot(11.5, 20)
	element:SetParentElement(compositionnew_frog_move)
	element:SetXY(945.5, 506.125)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."DT4_Frog_MMG_06_Frogs_frog_2.png")
	element:SetName("Layer_3")
	compositionnew_frog_move:AddElement(element)
	element:SetHotSpot(46, 33)
	compositionnew_frog_move:RegisterParentInfo("Layer_3", "Layer_4")
	element:SetXY(16.9211073727291, 27.6714072429403)
 
	element:SetScaleX(0.68176989479552)
	element:SetScaleY(0.68176989479552)
	element:SetAngle(0.5769802314039)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.75, 1.20833333333333)
	effector:SetKey(_TRACK_O, 0.75, 0)
	effector:SetKey(_TRACK_O, 0.83333333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."telo_frog.png")
	element:SetName("Layer_4")
	compositionnew_frog_move:AddElement(element)
	element:SetHotSpot(19.5, 27.5)
	element:SetParentElement(compositionnew_frog_move)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.83333333333333)
	effector:SetKey(_TRACK_X, 0, 963.678405761719)
	effector:SetKey(_TRACK_Y, 0, 454.209442138672)
	effector:SetKey(_TRACK_X, 0.5, 908.428405761719)
	effector:SetKey(_TRACK_Y, 0.5, 350.209442138672)
	effector:SetKey(_TRACK_X, 0.83333333333333, 826.178405761719)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 401.709442138672)
	effector:SetKey(_TRACK_SX, 0, 0.94957984924316)
	effector:SetKey(_TRACK_SY, 0, 0.94957984924316)
	effector:SetKey(_TRACK_SX, 0.70833333333333, 0.94957984924316)
	effector:SetKey(_TRACK_SY, 0.70833333333333, 0.94957984924316)
	effector:SetKey(_TRACK_A, 0, 0.15195048796226)
	effector:SetKey(_TRACK_A, 0.5, -0.38450993821842)
	effector:SetKey(_TRACK_A, 0.83333333333333, -0.86016861701447)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.125, 1)
	effector:SetKey(_TRACK_O, 0.75, 1)
	effector:SetKey(_TRACK_O, 0.83333333333333, 0.8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."frog_midl_leg.png")
	element:SetName("Layer_5")
	compositionnew_frog_move:AddElement(element)
	element:SetHotSpot(19.031341731849, 14.739661959663)
	compositionnew_frog_move:RegisterParentInfo("Layer_5", "Layer_4")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.83333333333333)
	effector:SetKey(_TRACK_X, 0.20833333333333, 28.286616232488)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 40.1990339940808)
	effector:SetKey(_TRACK_X, 0.58333333333333, 28.286616232488)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 40.1990339940808)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.70833333333333, 0.8)
	effector:SetKey(_TRACK_SY, 0.70833333333333, 0.8)
	effector:SetKey(_TRACK_A, 0, -0.07677524489331)
	effector:SetKey(_TRACK_A, 0.20833333333333, -0.44736472361916)
	effector:SetKey(_TRACK_A, 0.58333333333333, -0.44736472361916)
	effector:SetKey(_TRACK_A, 0.83333333333333, -0.07677524489331)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.125, 1)
	effector:SetKey(_TRACK_O, 0.70833333333333, 1)
	effector:SetKey(_TRACK_O, 0.83333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."frog_down_leg.png")
	element:SetName("Layer_6")
	compositionnew_frog_move:AddElement(element)
	element:SetHotSpot(16.2687724378661, 51.5166691732914)
	compositionnew_frog_move:RegisterParentInfo("Layer_6", "Layer_5")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.83333333333333)
	effector:SetKey(_TRACK_X, 0.20833333333333, 11.749990496661)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 41.6405574397655)
	effector:SetKey(_TRACK_X, 0.58333333333333, 11.749990496661)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 41.6405574397655)
	effector:SetKey(_TRACK_SX, 0.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.20833333333333, 1)
	effector:SetKey(_TRACK_SX, 0.70833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.70833333333333, 1)
	effector:SetKey(_TRACK_A, 0, 5.73712594924213)
	effector:SetKey(_TRACK_A, 0.20833333333333, 3.68722029456364)
	effector:SetKey(_TRACK_A, 0.58333333333333, 3.68722029456364)
	effector:SetKey(_TRACK_A, 0.83333333333333, 5.73712594924213)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.125, 1)
	effector:SetKey(_TRACK_O, 0.70833333333333, 1)
	effector:SetKey(_TRACK_O, 0.83333333333333, 0)
	effector:Play()
 
	compositionnew_frog_move:Play()
 
	return compositionnew_frog_move
end
 
createCompositionRight_tube_water_cycle_correct = function()
	local compositionRight_tube_water_cycle_correct = CreateCompositionSequence()
	local compositionDuration = 1
	compositionRight_tube_water_cycle_correct:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionRight_tube_water_cycle()
	element:SetName("Layer_1")
	compositionRight_tube_water_cycle_correct:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionRight_tube_water_cycle_correct)
	element:SetXY(674, 345)
 
	element:SetScaleX(0.89)
	element:SetScaleY(0.85)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionRight_tube_water_cycle_correct:Play()
 
	return compositionRight_tube_water_cycle_correct
end
 
createCompositionright_tube_water_enter_correct = function()
	local compositionright_tube_water_enter_correct = CreateCompositionSequence()
	local compositionDuration = 1
	compositionright_tube_water_enter_correct:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionright_tube_water_enter()
	element:SetName("Layer_1")
	compositionright_tube_water_enter_correct:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionright_tube_water_enter_correct)
	element:SetXY(674.5, 344.5)
 
	element:SetScaleX(0.8900390625)
	element:SetScaleY(0.85)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionright_tube_water_enter_correct:Play()
 
	return compositionright_tube_water_enter_correct
end
 
createCompositionSmall_wheel_move = function()
	local compositionSmall_wheel_move = CreateCompositionSequence()
	local compositionDuration = 0.625
	compositionSmall_wheel_move:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."small_wheel_01.png")
	element:SetName("Layer_1")
	compositionSmall_wheel_move:AddElement(element)
	element:SetHotSpot(53, 70)
	element:SetParentElement(compositionSmall_wheel_move)
	element:SetXY(466.25, 353.75)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."small_wheel_02.png")
	element:SetName("Layer_2")
	compositionSmall_wheel_move:AddElement(element)
	element:SetHotSpot(53, 67)
	element:SetParentElement(compositionSmall_wheel_move)
	element:SetXY(466.5, 350)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 1)
	effector:SetKey(_TRACK_O, 0.375, 1)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."small_wheel_03.png")
	element:SetName("Layer_3")
	compositionSmall_wheel_move:AddElement(element)
	element:SetHotSpot(54, 68)
	element:SetParentElement(compositionSmall_wheel_move)
	element:SetXY(467, 355.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 1)
	effector:SetKey(_TRACK_O, 0.58333333333333, 1)
	effector:Play()
 
	compositionSmall_wheel_move:Play()
 
	return compositionSmall_wheel_move
end
 
createCompositionvavle_compos = function()
	local compositionvavle_compos = CreateCompositionSequence()
	local compositionDuration = 2.5
	compositionvavle_compos:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionLeft_tube_kucha_peska_washed_cycle_end()
	element:SetName("Layer_1")
	compositionvavle_compos:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvavle_compos)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.5, 2.5)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionLeft_tube_kucha_peska_washed()
	element:SetName("Layer_2")
	compositionvavle_compos:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvavle_compos)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.5, 1.5)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."layer_kuchka.png")
	element:SetName("Layer_3")
	compositionvavle_compos:AddElement(element)
	element:SetHotSpot(135.5, 48.5)
	element:SetParentElement(compositionvavle_compos)
	element:SetXY(687.5, 542.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.5)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."layer_molotok_ruchka.png")
	element:SetName("Layer_4")
	compositionvavle_compos:AddElement(element)
	element:SetHotSpot(73, 12)
	element:SetParentElement(compositionvavle_compos)
	element:SetXY(648, 559)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.5, 2.5)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:SetKey(_TRACK_O, 1.95833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."layer_luja.png")
	element:SetName("Layer_5")
	compositionvavle_compos:AddElement(element)
	element:SetHotSpot(118, 67)
	element:SetParentElement(compositionvavle_compos)
	element:SetXY(645, 560)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.5, 2.5)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:SetKey(_TRACK_O, 1.95833333333333, 1)
	effector:Play()
 
	compositionvavle_compos:Play()
 
	return compositionvavle_compos
end
 
createCompositionLeft_tube_kucha_peska_washed = function()
	local compositionLeft_tube_kucha_peska_washed = CreateCompositionSequence()
	local compositionDuration = 1
	compositionLeft_tube_kucha_peska_washed:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."kuchka_washed_[].png")
	element:SetName("Layer_1")
	compositionLeft_tube_kucha_peska_washed:AddElement(element)
	element:SetHotSpot(128, 55.5)
	element:SetParentElement(compositionLeft_tube_kucha_peska_washed)
	element:SetXY(690, 532.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionLeft_tube_kucha_peska_washed:Play()
 
	return compositionLeft_tube_kucha_peska_washed
end
 
createCompositionLeft_tube_kucha_peska_washed_cycle = function()
	local compositionLeft_tube_kucha_peska_washed_cycle = CreateCompositionSequence()
	local compositionDuration = 1
	compositionLeft_tube_kucha_peska_washed_cycle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."water_from_tube_cycle_[].png")
	element:SetName("Layer_1")
	compositionLeft_tube_kucha_peska_washed_cycle:AddElement(element)
	element:SetHotSpot(14.5, 52.5)
	element:SetParentElement(compositionLeft_tube_kucha_peska_washed_cycle)
	element:SetXY(612.75, 530.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionLeft_tube_kucha_peska_washed_cycle:Play()
 
	return compositionLeft_tube_kucha_peska_washed_cycle
end
 
createCompositionLeft_tube_kucha_peska_washed_cycle_end = function()
	local compositionLeft_tube_kucha_peska_washed_cycle_end = CreateCompositionSequence()
	local compositionDuration = 1
	compositionLeft_tube_kucha_peska_washed_cycle_end:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."water_from_tube_end_cycle_[].png")
	element:SetName("Layer_1")
	compositionLeft_tube_kucha_peska_washed_cycle_end:AddElement(element)
	element:SetHotSpot(11, 55)
	element:SetParentElement(compositionLeft_tube_kucha_peska_washed_cycle_end)
	element:SetXY(614, 531)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionLeft_tube_kucha_peska_washed_cycle_end:Play()
 
	return compositionLeft_tube_kucha_peska_washed_cycle_end
end
 
createCompositionLert_tube_kucha_peska_washed_enter = function()
	local compositionLert_tube_kucha_peska_washed_enter = CreateCompositionSequence()
	local compositionDuration = 1
	compositionLert_tube_kucha_peska_washed_enter:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."water_tube_enter_[].png")
	element:SetName("Layer_1")
	compositionLert_tube_kucha_peska_washed_enter:AddElement(element)
	element:SetHotSpot(10, 52.5)
	element:SetParentElement(compositionLert_tube_kucha_peska_washed_enter)
	element:SetXY(615, 531.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionLert_tube_kucha_peska_washed_enter:Play()
 
	return compositionLert_tube_kucha_peska_washed_enter
end
 
createCompositionRight_tube_water_cycle = function()
	local compositionRight_tube_water_cycle = CreateCompositionSequence()
	local compositionDuration = 1
	compositionRight_tube_water_cycle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."water_from_tube_cycle_[].png")
	element:SetName("Layer_1")
	compositionRight_tube_water_cycle:AddElement(element)
	element:SetHotSpot(14.5, 52.5)
	element:SetParentElement(compositionRight_tube_water_cycle)
	element:SetXY(612.5, 530.125)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionRight_tube_water_cycle:Play()
 
	return compositionRight_tube_water_cycle
end
 
createCompositionright_tube_water_enter = function()
	local compositionright_tube_water_enter = CreateCompositionSequence()
	local compositionDuration = 1
	compositionright_tube_water_enter:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."water_tube_enter_[].png")
	element:SetName("Layer_1")
	compositionright_tube_water_enter:AddElement(element)
	element:SetHotSpot(10, 52.5)
	element:SetParentElement(compositionright_tube_water_enter)
	element:SetXY(614.75, 531.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionright_tube_water_enter:Play()
 
	return compositionright_tube_water_enter
end
 
createCompositionwater_move = function()
	local compositionwater_move = CreateCompositionSequence()
	local compositionDuration = 4
	compositionwater_move:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionWater_move_cycle_textures()
	element:SetName("Layer_1")
	compositionwater_move:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionwater_move)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_X, 0, 497)
	effector:SetKey(_TRACK_Y, 0, 369)
	effector:SetKey(_TRACK_X, 4, 512)
	effector:SetKey(_TRACK_Y, 4, 384)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 4, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionWater_move_cycle_textures()
	element:SetName("Layer_2")
	compositionwater_move:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionwater_move)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_X, 0, 512)
	effector:SetKey(_TRACK_Y, 0, 384)
	effector:SetKey(_TRACK_X, 4, 527)
	effector:SetKey(_TRACK_Y, 4, 399)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 4, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionWater_move_cycle_textures()
	element:SetName("Layer_3")
	compositionwater_move:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionwater_move)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:Play()
 
	compositionwater_move:Play()
 
	return compositionwater_move
end
 
createCompositionWater_move_cycle_textures = function()
	local compositionWater_move_cycle_textures = CreateCompositionSequence()
	local compositionDuration = 4
	compositionWater_move_cycle_textures:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."layers_for_water_move_4.png")
	element:SetName("Layer_1")
	compositionWater_move_cycle_textures:AddElement(element)
	element:SetHotSpot(201, 108)
	element:SetParentElement(compositionWater_move_cycle_textures)
	element:SetXY(825, 406)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."layers_for_water_move_3.png")
	element:SetName("Layer_2")
	compositionWater_move_cycle_textures:AddElement(element)
	element:SetHotSpot(47.5, 39)
	element:SetParentElement(compositionWater_move_cycle_textures)
	element:SetXY(391.625, 311)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."layers_for_water_move_2.png")
	element:SetName("Layer_3")
	compositionWater_move_cycle_textures:AddElement(element)
	element:SetHotSpot(70.5, 57)
	element:SetParentElement(compositionWater_move_cycle_textures)
	element:SetXY(279.375, 263.9375)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."layers_for_water_move_1.png")
	element:SetName("Layer_4")
	compositionWater_move_cycle_textures:AddElement(element)
	element:SetHotSpot(49, 29)
	element:SetParentElement(compositionWater_move_cycle_textures)
	element:SetXY(53.875, 203.1875)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:Play()
 
	compositionWater_move_cycle_textures:Play()
 
	return compositionWater_move_cycle_textures
end
 
createCompositionWater_on_cube = function()
	local compositionWater_on_cube = CreateCompositionSequence()
	local compositionDuration = 1
	compositionWater_on_cube:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."water_from_tube_cycle_[].png")
	element:SetName("Layer_1")
	compositionWater_on_cube:AddElement(element)
	element:SetHotSpot(14.5, 52.5)
	element:SetParentElement(compositionWater_on_cube)
	element:SetXY(737.5, 354.75)
 
	element:SetScaleX(2.51724137931034)
	element:SetScaleY(0.51904761904762)
	element:SetOpacity(0.6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionWater_on_cube:Play()
 
	return compositionWater_on_cube
end
 
createCompositionvavle_2_compos = function()
	local compositionvavle_2_compos = CreateCompositionSequence()
	local compositionDuration = 2.5
	compositionvavle_2_compos:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionLeft_tube_kucha_peska_washed_cycle_end()
	element:SetName("Layer_1")
	compositionvavle_2_compos:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvavle_2_compos)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.5, 2.5)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionLert_tube_kucha_peska_washed_enter()
	element:SetName("Layer_2")
	compositionvavle_2_compos:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvavle_2_compos)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.5, 1.5)
	effector:Play()
 
	compositionvavle_2_compos:Play()
 
	return compositionvavle_2_compos
end
 
